### Method

# EBook BookClient get_contacts_uids_finish

since: 3.2

#### Declaration [src]

    gboolean
    e_book_client_get_contacts_uids_finish (
      EBookClient* client,
      GAsyncResult* result,
      GSList** out_contact_uids,
      GError** error
    )

#### Description [src]

Finishes previous call of e_book_client_get_contacts_uids(). If successful, then the `out_contact_uids` is set to newly allocated list of UID strings, which should be freed with e_client_util_free_string_slist().

Available since: 3.2

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_contact_uids`

  Type: A list of `utf8`

  A `GSList` of matched contact UIDs stored as strings.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.